GNU bug report logs - #38854
emacs-google-maps needs update for Emacs 26

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Christopher Howard <christopher@HIDDEN>; Keywords: fixed; Done: Maxim Cournoyer <maxim.cournoyer@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
bug closed, send any further explanations to 38854 <at> debbugs.gnu.org and Christopher Howard <christopher@HIDDEN> Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38854 <at> debbugs.gnu.org:


Received: (at 38854) by debbugs.gnu.org; 27 Feb 2020 18:29:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 27 13:29:31 2020
Received: from localhost ([127.0.0.1]:60259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7Nuc-0004Hu-MD
	for submit <at> debbugs.gnu.org; Thu, 27 Feb 2020 13:29:30 -0500
Received: from mail-pg1-f171.google.com ([209.85.215.171]:34895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christopher@HIDDEN>) id 1j7NuZ-0004HZ-Bf
 for 38854 <at> debbugs.gnu.org; Thu, 27 Feb 2020 13:29:28 -0500
Received: by mail-pg1-f171.google.com with SMTP id 7so133028pgr.2
 for <38854 <at> debbugs.gnu.org>; Thu, 27 Feb 2020 10:29:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=alaskasi-com.20150623.gappssmtp.com; s=20150623;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :disposition-notification-to:organization:user-agent:mime-version;
 bh=6r50tzztv9W4wrj5rijLOuAP3I29cLlH/z/8LsmEn+Q=;
 b=ZpdtxgQ7VituS9YEYfwH6IDbaq0p7oVujg+65QKfrDePUbxitjR4V9zpldwh8ElAl7
 jk3AiRB8hgBDj4Ga0fXPNnYrtWsUdwdz6O/Gsb9TgtIXFo2qiZfObREIewjcPiCvZBI1
 gEZ68gsluJMoyj7yhUn5wAe2s/W9du+pgr40XzPfhM+N05wX0YA4Mx/sA1rL+GPRr/v1
 ukGVn9GtJy0Sghz8HGrB6eClMDr/jFXZRy3G80Xmds9dQ3/kl/jbSBaINFPLAyho9cCJ
 fK9g3qhF7GA5h+B5KN2Q4MSlYJugxTE9lIMVGwoVx0vIK0dYCL9WT6gaW8ho0ItlYM1n
 ic9w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:disposition-notification-to:organization:user-agent
 :mime-version;
 bh=6r50tzztv9W4wrj5rijLOuAP3I29cLlH/z/8LsmEn+Q=;
 b=Y/WzFBc4xsMciiioW7wHdNG6SsQqLMCROLAdL9dGER/FvMI3S9cHXlyzSY5jXy1jgR
 AtxLYsPJ1OF0T723pLPuR6OGwrOUoilW5plgxxqGYGQSuDNc6XjIWlj09bZYifYSmwH4
 f+CuO125rLy4VVtL2XLY5EwF3TGwkE0xpxWS4U/SMBW17xqe//YTsGr7mu8nUEsmaHT6
 KNb5Z6mFivx39aP5D4vFY+PEDtgRMMnt5dzZwt/aVlFO3BR8bQiTKl2F+MkNn6KPCGyy
 W7hdEjemQX1cQoLPS79zKwuRBYDq1KKMUKcYo4nZBw4Te4FDf+B4QtUWq7vctOAwQV7/
 ABCA==
X-Gm-Message-State: APjAAAX/qJhadSBMqIo3mdv6rjSjcWR404bFb9Dt+rrXcUhTMRDvr1cZ
 +w1YheauXEwjzSKqQlbvKll9z7C5GNE=
X-Google-Smtp-Source: APXvYqwCYosELp3hjAWjOZ31Z6R2lXmgoRwOeMiGJABESbrgz1BImY6e0B2FSkBDOqjiVCbxT+zf0Q==
X-Received: by 2002:a62:6342:: with SMTP id x63mr268427pfb.103.1582828161488; 
 Thu, 27 Feb 2020 10:29:21 -0800 (PST)
Received: from ?IPv6:2001:470:b:469::250? ([2001:470:b:469::250])
 by smtp.gmail.com with ESMTPSA id a17sm7240838pjv.6.2020.02.27.10.29.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 27 Feb 2020 10:29:20 -0800 (PST)
Message-ID: <7fdc9e153c124e9695aa7ef599fce3dcf265a8f6.camel@HIDDEN>
Subject: Re: bug#38854: emacs-google-maps needs update for Emacs 26
From: Christopher Howard <christopher@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Date: Thu, 27 Feb 2020 09:29:06 -0900
In-Reply-To: <878sko718n.fsf@HIDDEN>
References: <a6a2336610ce7f3fc2e0d1442441d2412486c090.camel@HIDDEN>
 <878sko718n.fsf@HIDDEN>
Organization: Alaska Satellite Internet
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-wGxIJq97zi0KN8YH/v6H"
User-Agent: Evolution 3.32.4 
MIME-Version: 1.0
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I reproduced these errors on my system. 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.215.171 listed in list.dnswl.org]
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.215.171 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 38854
Cc: 38854 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


--=-wGxIJq97zi0KN8YH/v6H
Content-Type: multipart/alternative; boundary="=-PEiBr9t7xgcDg7hM0Odo"


--=-PEiBr9t7xgcDg7hM0Odo
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I reproduced these errors on my system.


-----Original Message-----
From: Pierre Neidhardt <mail@HIDDEN>
To: Christopher Howard <christopher@HIDDEN>
Cc: 38854 <at> debbugs.gnu.org
Subject: Re: bug#38854: emacs-google-maps needs update for Emacs 26
Date: Thu, 27 Feb 2020 11:50:32 +0100

Using google-maps from MELPA, I get
--8<---------------cut here---------------start------------->8---Unable=20
to geocode seoul: request_denied--8<---------------cut here----------
-----end--------------->8---
If I disable geocode,
--8<---------------cut here---------------start------------->8---
> (google-maps "seoul" 'nogeocode)
Contacting host: maps.google.com:443google-maps-retrieve-data: Unable
to fetch data--8<---------------cut here---------------end-------------
-->8---
Can anyone reproduce?

--=20
Christopher Howard
Enterprise Solutions Manager
Alaska Satellite Internet
PO Box 70, Ester, AK 99725
3239 La Ree Way, Fairbanks, AK 99709
907.451.0088
1.888.396.5623
www.alaskasatelliteinternet.com

--=-PEiBr9t7xgcDg7hM0Odo
Content-Type: text/html; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

<html dir=3D"ltr"><head></head><body style=3D"text-align:left; direction:lt=
r;"><div>I reproduced these errors on my system.</div><div><br></div><div><=
span><pre>-- <br></pre><div style=3D"width: 71ch;">Christopher Howard</div>=
<div style=3D"width: 71ch;">Enterprise Solutions Manager</div><div style=3D=
"width: 71ch;">Alaska Satellite Internet</div><div style=3D"width: 71ch;">P=
O Box 70, Ester, AK 99725</div><div style=3D"width: 71ch;">3239 La Ree Way,=
 Fairbanks, AK 99709</div><div style=3D"width: 71ch;">907.451.0088</div><di=
v style=3D"width: 71ch;">1.888.396.5623</div><div style=3D"width: 71ch;">ww=
w.alaskasatelliteinternet.com</div></span></div><div><br></div><div>-----Or=
iginal Message-----</div><div><b>From</b>: Pierre Neidhardt &lt;<a href=3D"=
mailto:Pierre%20Neidhardt%20%3cmail@HIDDEN%3e">mail@HIDDEN</a>&=
gt;</div><div><b>To</b>: Christopher Howard &lt;<a href=3D"mailto:Christoph=
er%20Howard%20%3cchristopher@HIDDEN%3e">christopher@HIDDEN</a>&=
gt;</div><div><b>Cc</b>: <a href=3D"mailto:38854 <at> debbugs.gnu.org">38854@deb=
bugs.gnu.org</a></div><div><b>Subject</b>: Re: bug#38854: emacs-google-maps=
 needs update for Emacs 26</div><div><b>Date</b>: Thu, 27 Feb 2020 11:50:32=
 +0100</div><div><br></div><pre>Using google-maps from MELPA, I get</pre><p=
re><br></pre><pre>--8&lt;---------------cut here---------------start-------=
------&gt;8---</pre><pre>Unable to geocode seoul: request_denied</pre><pre>=
--8&lt;---------------cut here---------------end---------------&gt;8---</pr=
e><pre><br></pre><pre>If I disable geocode,</pre><pre><br></pre><pre>--8&lt=
;---------------cut here---------------start-------------&gt;8---</pre><blo=
ckquote type=3D"cite" style=3D"margin:0 0 0 .8ex; border-left:2px #729fcf s=
olid;padding-left:1ex"><pre>(google-maps "seoul" 'nogeocode)</pre></blockqu=
ote><pre>Contacting host: maps.google.com:443</pre><pre>google-maps-retriev=
e-data: Unable to fetch data</pre><pre>--8&lt;---------------cut here------=
---------end---------------&gt;8---</pre><pre><br></pre><pre>Can anyone rep=
roduce?</pre><pre><br></pre></body></html>

--=-PEiBr9t7xgcDg7hM0Odo--

--=-wGxIJq97zi0KN8YH/v6H
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQHNBAABCAA3FiEEK8UOcoUnnDS3Hd5rzFnfash7YXcFAl5YCnIZHGNocmlzdG9w
aGVyQGFsYXNrYXNpLmNvbQAKCRDMWd9qyHthd5jaDACW/MPHZXiom31dyyimzEUM
H3eyEA/eh7EGtyzEZegap5fh5MPxXvk1J636zhWDPGjzgatfSqL9MzQjDmnJHU0c
5BDm/mIKNnvhHe5Ji36VYGTjQwMsUOs+GC7YXU4COOk+Tbx6AMcLnUidcPZufDGN
+N9BuayfEu14aO9ZEYOQyzP3pAD+jv/L/X8nC6iFuqBSk53JqRfc5ZA5EwZrDFrh
j/a3k0vtxfvN+TS8Ofhz1HrHv/Fi6lGw3Bmr9zsblDBZxSzfXThrvrYRMm7wv8Xy
uKwv80TE0c5U7sjebauF8rxW4BZGSxqMaUuWOJqfJybGYk97JWA42cJVferi69i1
kCyVD91ZIDCqe0EDXabpojQAhuJLKe5SCqjLP5jwLH99cL4ltOtDo7dGh1mzq5+L
Loa7uH/zWVDEYoji8HmD+oAZiHwiUew5sCvreTRO2yzKAhWMYtOP5ZMS96NdvOnU
6yKkLWtsf/Tx/FhuGCtSiXOZdKptkMFJ1EpZnoO32cg=
=DNTx
-----END PGP SIGNATURE-----

--=-wGxIJq97zi0KN8YH/v6H--





Information forwarded to bug-guix@HIDDEN:
bug#38854; Package guix. Full text available.

Message received at 38854 <at> debbugs.gnu.org:


Received: (at 38854) by debbugs.gnu.org; 27 Feb 2020 10:50:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 27 05:50:42 2020
Received: from localhost ([127.0.0.1]:58754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7Gkc-0001In-GM
	for submit <at> debbugs.gnu.org; Thu, 27 Feb 2020 05:50:42 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:27379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1j7Gka-0001IT-II
 for 38854 <at> debbugs.gnu.org; Thu, 27 Feb 2020 05:50:40 -0500
X-Originating-IP: 92.169.129.147
Received: from bababa (lfbn-idf2-1-1315-147.w92-169.abo.wanadoo.fr
 [92.169.129.147]) (Authenticated sender: mail@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 8EBF224000A;
 Thu, 27 Feb 2020 10:50:33 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Christopher Howard <christopher@HIDDEN>
Subject: Re: bug#38854: emacs-google-maps needs update for Emacs 26
References: <a6a2336610ce7f3fc2e0d1442441d2412486c090.camel@HIDDEN>
Date: Thu, 27 Feb 2020 11:50:32 +0100
In-Reply-To: <a6a2336610ce7f3fc2e0d1442441d2412486c090.camel@HIDDEN>
 (Christopher Howard's message of "Wed, 01 Jan 2020 11:27:35 -0900")
Message-ID: <878sko718n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Using google-maps from MELPA, I get --8<cut herestart>8---
 Unable to geocode seoul: request_denied --8<cut hereend>8--- 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.193 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.193 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 38854
Cc: 38854 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Using google-maps from MELPA, I get --8<cut herestart>8---
    Unable to geocode seoul: request_denied --8<cut hereend>8--- 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.193 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.193 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Using google-maps from MELPA, I get

=2D-8<---------------cut here---------------start------------->8---
Unable to geocode seoul: request_denied
=2D-8<---------------cut here---------------end--------------->8---

If I disable geocode,

=2D-8<---------------cut here---------------start------------->8---
> (google-maps "seoul" 'nogeocode)
Contacting host: maps.google.com:443
google-maps-retrieve-data: Unable to fetch data
=2D-8<---------------cut here---------------end--------------->8---

Can anyone reproduce?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl5XnvgACgkQm9z0l6S7
zH/eHQf9EC5N0wojCeSAO/WuXlcW6VEwZ/txsBYb/WRZ5LjPH0xKYxq6hc9vvz2a
0xnoCvFDf2dIjVZIJGW2iwrw37PZNqZMwRtawjn+9rZvHRRnhRV5mBgvsGtqiQDV
WwPTaAoAymuCzEuAuiTw4mYCmGnItRJh50rL6RFsptp4+UnRMJoAVKq/uPujhhg7
Fxg+QWrIYqwntlGq4dGw2aDRyxQYaSuqEfGhcXctVswy9cwDAT1yTTRmOmff9lCL
KKo6vRDZrvR0nDLNuERGoymvw7TBdPt0GKwEazChiIpnBusslYSujRE+apH7lEuJ
3xQ2hAwd0+2mQ/RSMICBEY0rIGh2mA==
=C1wI
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38854; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Jan 2020 20:27:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 01 15:27:45 2020
Received: from localhost ([127.0.0.1]:37623 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1imkan-0008NM-DQ
	for submit <at> debbugs.gnu.org; Wed, 01 Jan 2020 15:27:45 -0500
Received: from lists.gnu.org ([209.51.188.17]:60424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christopher@HIDDEN>) id 1imkam-0008ND-Ct
 for submit <at> debbugs.gnu.org; Wed, 01 Jan 2020 15:27:44 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52755)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <christopher@HIDDEN>) id 1imkal-0001yC-6v
 for bug-guix@HIDDEN; Wed, 01 Jan 2020 15:27:44 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <christopher@HIDDEN>) id 1imkak-0005bI-9d
 for bug-guix@HIDDEN; Wed, 01 Jan 2020 15:27:43 -0500
Received: from mail-pg1-x52a.google.com ([2607:f8b0:4864:20::52a]:46051)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <christopher@HIDDEN>)
 id 1imkaj-0005af-Qe
 for bug-guix@HIDDEN; Wed, 01 Jan 2020 15:27:42 -0500
Received: by mail-pg1-x52a.google.com with SMTP id b9so20934749pgk.12
 for <bug-guix@HIDDEN>; Wed, 01 Jan 2020 12:27:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=alaskasi-com.20150623.gappssmtp.com; s=20150623;
 h=message-id:subject:from:to:date:disposition-notification-to
 :organization:mime-version:content-transfer-encoding;
 bh=Abuj+/l+RKM1U+yFo7WzX+R9PjHun8cJdkEbz61F/5o=;
 b=X3FbyGOvlFm9GfOHlg2dpUHAQCkAx9n+psY9EKAvU5M6YNw/XHJsA5fbCMwB8Ljn6j
 nwUGGACZO0xpZsRJ/E+YvpduqjjubH8m9aDvsA0DG+hcZSPIzJ/yq1K0n9vI3fz6R5ti
 6e+G32P8aOfQc8Tv672qVJ3xpdqNPERuZ6v2MWOXzbe4jLePjjbujwX6bFMxNJ8g39zB
 Lw7WAp40h6JGZCPOCRWKfWL6DWxtuUQpoiYhxbUcmwPC34S8Orf8jFpq3O4PzN2TRfl7
 G3Y5dI+w0/tSMvMA9xhFTQKj2Mn9K6KDUYTLe1aKBhKUgoKiizxTFEem6Xsr3Y+5j2Pj
 rM4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:subject:from:to:date
 :disposition-notification-to:organization:mime-version
 :content-transfer-encoding;
 bh=Abuj+/l+RKM1U+yFo7WzX+R9PjHun8cJdkEbz61F/5o=;
 b=jX3COcpd1ngoGpObHgQxeur9THqlmHq+udyZ2sSiGyMxoqXeU7g8VMGpQXE5HzR7fR
 211HMsM374ADzujjbiy7ffru/7vdX6yan8B8k2BKiGQe6QMQHKRDgxlC7Axy4avr/pzF
 /lBxZieRtYYS9/3OQ+maQdAnlbY1sgpBzs46GTaAwPef6pEEDS8mSIUcZCWT5btyOEO2
 SJF3/8O+Z+yCBPClHpLPu0ch07pk6OLztk0UEf+M1SWC4v4GBfPsL6sYrGk7e5Mq996x
 GAwGK1tk6Pz1cqhV9gXjr4uTqhSo4mrWM1vd4GHGKcJA2o5Eqar0bC/iZwjBUcFo5MnL
 n73Q==
X-Gm-Message-State: APjAAAXs/xpaB/TRCZOOvgBaLutt3AtuUWZRzDuKSSEOXVPKcR+4fKP3
 f4thfnlLXJS/+8GTI/UyCxzuqVvQMW7s5w==
X-Google-Smtp-Source: APXvYqxxo4dQA2Y22LAlWWMJLfS4ekGBwcM/MPofXt6V1y5My0UDzq+l0APGhLC+eTRxkuhOO794dQ==
X-Received: by 2002:a63:dc41:: with SMTP id f1mr88151167pgj.119.1577910459910; 
 Wed, 01 Jan 2020 12:27:39 -0800 (PST)
Received: from ?IPv6:2001:470:b:469::250? ([2001:470:b:469::250])
 by smtp.gmail.com with ESMTPSA id s1sm55976636pgv.87.2020.01.01.12.27.38
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 01 Jan 2020 12:27:39 -0800 (PST)
Message-ID: <a6a2336610ce7f3fc2e0d1442441d2412486c090.camel@HIDDEN>
Subject: emacs-google-maps needs update for Emacs 26
From: Christopher Howard <christopher@HIDDEN>
To: bug-guix@HIDDEN
Date: Wed, 01 Jan 2020 11:27:35 -0900
Organization: Alaska Satellite Internet
Content-Type: text/plain; charset="UTF-8"
X-Mailer: Evolution 3.28.1 
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::52a
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

emacs-google-maps gives error

```
mapconcat-if-not: Symbol’s function definition is void: remove-if
```

when attempting to call M-x google-maps, after entering the location.
In upstream source commit 4d5e8ad there was a breaking change from the
`cl' library (emacs 24) to the `cl-lib' (newer Emacs versions) library
which forced a rewrite of a lot of the syntax across the source files.

I suspect that just updating to the most recent commit would fix
everything, but have not had time for testing.


-- 
Christopher Howard
Enterprise Solutions Manager
Alaska Satellite Internet
PO Box 70, Ester, AK 99725
3239 La Ree Way, Fairbanks, AK 99709
907.451.0088
1.888.396.5623
www.alaskasatelliteinternet.com




Acknowledgement sent to Christopher Howard <christopher@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#38854; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 4 Oct 2020 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.